Index: trunk/DataStore/Changes
===================================================================
--- trunk/DataStore/Changes	(revision 17526)
+++ trunk/DataStore/Changes	(revision 17527)
@@ -2,4 +2,5 @@
 
 0.07
+    - change dsget to return the HTTP status code on failure
     - remove use of parse_neb_key() from dsget
     - dsget doc updates
Index: trunk/DataStore/scripts/dsget
===================================================================
--- trunk/DataStore/scripts/dsget	(revision 17526)
+++ trunk/DataStore/scripts/dsget	(revision 17527)
@@ -3,5 +3,5 @@
 # Copyright (C) 2006-2008  Joshua Hoblitt
 #
-# $Id: dsget,v 1.17 2008-05-05 20:26:46 jhoblitt Exp $
+# $Id: dsget,v 1.18 2008-05-05 20:38:34 jhoblitt Exp $
 
 use strict;
@@ -114,5 +114,8 @@
 
 die "request failed" unless defined $response;
-die "request failed: ", $response->status_line unless $response->is_success;
+unless ($response->is_success) {
+    $? = $response->code;
+    die "request failed: ", $response->status_line;
+}
 die "checksum failed" unless $response->data;
 
